curl --request POST \
--url https://http.whisper.proxy.prod.s9t.link/model/v2/infer/whisper \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"audio_data": "base64_encoded_audio_content",
"language": "en",
"task": "transcribe",
"beam_size": 5,
"best_of": 5,
"word_timestamps": 1,
"diarization": 0,
"streaming": 0,
"batch_size": 24,
"length_penalty": 1,
"patience": 1,
"vad_onset": 0.5,
"vad_offset": 0.363
}
'import requests
url = "https://http.whisper.proxy.prod.s9t.link/model/v2/infer/whisper"
payload = {
"audio_data": "base64_encoded_audio_content",
"language": "en",
"task": "transcribe",
"beam_size": 5,
"best_of": 5,
"word_timestamps": 1,
"diarization": 0,
"streaming": 0,
"batch_size": 24,
"length_penalty": 1,
"patience": 1,
"vad_onset": 0.5,
"vad_offset": 0.363
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
audio_data: 'base64_encoded_audio_content',
language: 'en',
task: 'transcribe',
beam_size: 5,
best_of: 5,
word_timestamps: 1,
diarization: 0,
streaming: 0,
batch_size: 24,
length_penalty: 1,
patience: 1,
vad_onset: 0.5,
vad_offset: 0.363
})
};
fetch('https://http.whisper.proxy.prod.s9t.link/model/v2/infer/whisper', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transcription": [
"<string>"
],
"segments": [
{
"start": 123,
"end": 123,
"text": "<string>",
"words": [
{
"word": "<string>",
"start": 123,
"end": 123
}
]
}
],
"request_time": 123,
"language": "<string>"
}{
"error": "<string>",
"status": 123
}Whisper V2 API
Process audio files for transcription or translation with advanced options
Authorizations
JWT token for authentication
Body
TEXT FIELD: This is a string field (not a file upload). Provide the audio as a base64-encoded string. First convert your audio file (.mp3, .wav, .flac) to base64, then paste the resulting string here.
Language code (e.g. 'en' for English)
"en"
Task type - transcribe in source language or translate to English
transcribe, translate "transcribe"
Optional starting text prompt for context
Number of parallel sequences evaluated
1 <= x <= 5Number of best sequences considered
1 <= x <= 5Include word-level timestamps (0=false, 1=true)
0, 1 Enable speaker diarization (0=false, 1=true)
0, 1 Enable voice activity detection filter (0=false, 1=true)
0, 1 Exclude timestamps from output (0=false, 1=true)
0, 1 Enable streaming output (0=false, 1=true)
0, 1 Minimum number of speakers to detect
Maximum number of speakers to detect
Number of audio samples processed in one batch
0 <= x <= 24Penalty for longer sequences
Beam search patience factor
0 <= x <= 1Minimum duration of silence for a break
Minimum duration for speech detection
Voice activity detection onset threshold
0 <= x <= 1Voice activity detection offset threshold
0 <= x <= 1Additional padding at segment end
Additional padding at segment start
Maximum duration to process
Was this page helpful?